cgGetFirstPassAnnotation(3)

NAME
cgGetFirstPassAnnotation - get the first annotation of a pass

SYNOPSIS
  #include <Cg/cg.h>
  CGannotation cgGetFirstPassAnnotation( CGpass pass );

PARAMETERS

pass
    The pass from which to retrieve the annotation.

RETURN VALUES
Returns the first annotation from the given pass.

Returns NULL if the pass has no annotations or an error occurs.

DESCRIPTION
The annotations associated with a pass can be retrieved using cgGetFirstPassAnnotation. The remainder of the pass's annotations can be discovered by iterating through the parameters, calling the cgGetNextAnnotation manpage to get to the next one.

EXAMPLES
  CGannotation ann = cgGetFirstPassAnnotation( pass );
  while( ann )
  {
     /* do something with ann */
     ann = cgGetNextAnnotation( ann );
  }

ERRORS
CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

HISTORY
cgGetFirstPassAnnotation was introduced in Cg 1.4.

SEE ALSO
the cgGetNamedPassAnnotation manpage, the cgGetNextAnnotation manpage